## emacspeak 50.0+dfsg

=== Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak,  TTS,Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{ Configuration

MAKE=make
prefix = /usr
SRC = $(shell pwd)
README = README

# }}}
# {{{  User level targets emacspeak info  outloud espeak 

emacspeak:
	@test -f  lisp/emacspeak-loaddefs.el || $(MAKE) config
	@cd lisp && $(MAKE)
	@make   $(README)
	@chmod 644 $(README)
	@echo "See the NEWS file for a  summary of new features — Control e cap n in Emacs"
	@echo "See Emacspeak Customizations for customizations — control e cap C in Emacs"
	@echo  "Read the Emacspeak Manual — Control e TAB in Emacs"
	@make install

outloud: 
	cd servers/linux-outloud && $(MAKE) || echo "Cant build Outloud server!"

espeak: 
	cd servers/native-espeak && $(MAKE) || echo "Cant build espeak server!"

# }}}
# {{{  Maintainance targets   dist

GITVERSION=$(shell git show HEAD | head -1  | cut -b 8- )
README: 
	@rm -f README
	@echo "Emacspeak  Revision $(GITVERSION)" > $(README)
	@echo "Distribution created by `whoami` at `date`" >> $(README)
	@echo "Unpack the  distribution And type make config " >> $(README)
	@echo "Then type make" >> $(README)
EXCLUDES=-X .excludes --exclude-backups
dist:
	make ${README}
	tar cvf  emacspeak.tar $(EXCLUDES) .

# }}}
# {{{ User level target--  config

config:
	@cd etc && $(MAKE) config  
	@cd lisp && $(MAKE) config
	@cd lisp/g-client  && $(MAKE) config
	@echo "Configured emacspeak in directory $(SRC)."

# }}}
# {{{  complete build

all: emacspeak

help:
	@make -s
#clean, config and build (development)
q:
	make clean
	make config 
	make
	cd lisp && make muggles
	cd	 tvr && make

qq:
	make -s -j q 2>&1 |grep -v Loading 

# }}}
# {{{  user level target-- clean

clean:
	cd lisp &&  $(MAKE) clean

# }}}
# {{{ labeling releases

#label  releases when ready
LABEL=#version number
MSG="Releasing ${LABEL}"
release: #supply LABEL=NN.NN
	git tag -a -s ${LABEL} -m "Tagging release with ${LABEL}"
	git push --tags
	$(MAKE) dist
	mkdir emacspeak-${LABEL}; \
cd emacspeak-${LABEL} ;\
	tar xvf ../emacspeak.tar ; \
	rm -f ../emacspeak.tar ; \
cd .. ;\
	tar cvfj emacspeak-${LABEL}.tar.bz2 emacspeak-$(LABEL); \
	/bin/rm -rf emacspeak-${LABEL} ;\
	echo "Prepared release in emacspeak-${LABEL}.tar.bz2"
	./utils/emacspeak-ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"

# }}}
# {{{Install: 

install:
	@echo "To run  this Emacspeak build, add this  line to the top of your .emacs:"
	@echo "(load-file \"`pwd`/lisp/emacspeak-setup.el\")"
	@echo "If using espeak or outloud for TTS, "
	@echo "type make <engine> to first build that speech-server."
	@echo "Package maintainers: see   etc/install.org	 for instructions."

# }}}
# {{{Worktree:
# Usage make wk TAG=tag
wk:
	git worktree add ../${TAG} ${TAG}

# }}}
# {{{ end of file

#local variables:
#mode: makefile
#fill-column: 90
#folded-file: t
#end:

# }}}

=== blog-archive/Makefile ===
articles.html: raw.xml
	xsltproc ../xsl/atom-view.xsl raw.xml >articles.html

raw.xml:
	wget -O raw.xml 'http://emacspeak.blogspot.com/feeds/posts/default?max-results=1000'

articles.xml: raw.xml
	xmllint raw.xml > articles.xml

raw:
	wget -O raw.xml 'http://emacspeak.blogspot.com/feeds/posts/default?max-results=1000'

=== etc/Makefile ===
# $Id$
# $Author: tv.raman.tv $ 
# Description:  Makefile for Emacspeak 
# Keywords: Emacspeak, Dectalk, Makefile 
# {{{ LCD Entry: 

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu 
# A speech interface to Emacs |
# $Date: 2006-08-11 12:11:17 -0700 (Fri, 11 Aug 2006) $ |
#  $Revision: 4047 $ | 
# Location undetermined
#

# }}}
# {{{ Copyright:  

#Copyright (C) 1995 -- 2003, T. V. Raman 

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved. 
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
all: #fix perms
	chmod 755 *.pl
# {{{xml -> html 
tips.html: tips.xml tips.xsl
	xsltproc tips.xsl tips.xml > tips.html 
%.html: %.xml
	xsltproc    $< > $@

# }}}
# {{{ User level target--  config 
config:
	@chmod 755   *.pl

# }}}
# {{{maintainer target 

pub: tips.html applications.html
	scp tips.html applications.html    raman,emacspeak@web.sourceforge.net:/home/groups/e/em/emacspeak/htdocs
	cp applications.html tips.html ../gh-emacspeak/
# }}}
# {{{ end of file 

#local variables: 
#mode: makefile
#fill-column: 90
#folded-file: t
#end:

# }}}

=== lisp/Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak, TTS, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-24 15:56:04 -0700 (Sun, 24 Jun 2007) $ |
#  $Revision: 4673 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make rules

# what emacs is called on your system
EMACS = emacs
SRC=".."
# How to run in batch mode
BATCH = -batch -q -no-site-file     \
--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000 \
load-source-file-function  nil)' 
DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
-l $(SRC)/lisp/emacspeak-loaddefs.el \
-l $(SRC)/lisp/emacspeak-cus-load.el \
-l $(SRC)/lisp/g-client/g-load-path.el -l $(SRC)/lisp/g-client/g-cus-load.el  \
-l $(SRC)/lisp/g-client/g-loaddefs.el


COMPILE =  -f batch-byte-compile
# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<
# }}}
# {{{  grouping files into dependent modules

#The various modules:
TTS_OBJECTS = acss-structure.elc \
dtk-speak.elc		dectalk-voices.elc\
tts.elc tts-cmds.elc  plain-voices.elc espeak-voices.elc \
outloud-voices.elc  mac-voices.elc\
dtk-interp.elc dtk-unicode.elc

SPEAK_OBJECTS =   \
emacspeak-speak.elc  \
emacspeak-prompts.elc \
emacspeak-actions.elc \
voice-setup.elc \
emacspeak-personality.elc \
emacspeak-popup.elc \
emacspeak-pronounce.elc \
emacspeak-sounds.elc

CORE_OBJECTS =  \
emacspeak-load-path.elc \
emacspeak.elc \
emacspeak-setup.elc \
emacspeak-advice.elc\
emacspeak-keymap.elc\
emacspeak-fix-interactive.elc\
emacspeak-re-builder.elc \
emacspeak-rg.elc \
emacspeak-redefine.elc\
emacspeak-table.elc \
emacspeak-table-ui.elc \
emacspeak-tabulate.elc \
amixer.elc \
emacspeak-add-log.elc \
emacspeak-amark.elc \
emacspeak-analog.elc \
emacspeak-ansi-color.elc \
emacspeak-apt-sources.elc \
emacspeak-arc.elc \
emacspeak-auctex.elc \
emacspeak-autoload.el \
emacspeak-bbc.elc \
emacspeak-bbdb.elc \
emacspeak-bibtex.elc \
emacspeak-bookmark.elc \
emacspeak-bookshare.elc \
emacspeak-browse-kill-ring.elc \
emacspeak-bs.elc \
emacspeak-buff-menu.elc \
emacspeak-c.elc \
emacspeak-calc.elc \
emacspeak-calculator.elc \
emacspeak-calendar.elc \
emacspeak-cedet.elc \
emacspeak-checkdoc.elc \
emacspeak-ciel.elc \
emacspeak-cider.elc \
emacspeak-clojure.elc \
emacspeak-cmuscheme.elc \
emacspeak-compile.elc \
emacspeak-company.elc \
emacspeak-cperl.elc \
emacspeak-custom.elc \
emacspeak-dbus.elc \
emacspeak-dictionary.elc \
emacspeak-desktop.elc \
emacspeak-diff-mode.elc \
emacspeak-dired.elc \
emacspeak-dismal.elc \
emacspeak-epub.elc \
emacspeak-ecb.elc \
emacspeak-ein.elc \
emacspeak-ediary.elc \
emacspeak-ediff.elc \
emacspeak-elisp-refs.elc \
emacspeak-elscreen.elc \
emacspeak-eww.elc \
emacspeak-eclim.elc \
emacspeak-elfeed.elc \
emacspeak-enriched.elc \
emacspeak-xkcd.elc \
emacspeak-emms.elc \
emacspeak-entertain.elc \
emacspeak-epa.elc \
emacspeak-eperiodic.elc \
emacspeak-erc.elc \
emacspeak-eshell.elc \
emacspeak-ess.elc \
emacspeak-evil.elc \
emacspeak-eterm.elc \
emacspeak-eudc.elc \
emacspeak-facemenu.elc \
emacspeak-feeds.elc \
emacspeak-filtertext.elc \
emacspeak-find-dired.elc \
emacspeak-ftf.elc \
emacspeak-find-func.elc \
emacspeak-flycheck.elc \
emacspeak-flyspell.elc \
emacspeak-folding.elc \
emacspeak-forge.elc \
emacspeak-forms.elc \
emacspeak-generic.elc \
emacspeak-geiser.elc \
emacspeak-gh-explorer.elc \
emacspeak-gnuplot.elc \
emacspeak-gnus.elc\
emacspeak-go-mode.elc \
emacspeak-gomoku.elc \
emacspeak-google.elc \
emacspeak-gridtext.elc \
emacspeak-gtags.elc \
emacspeak-gud.elc \
emacspeak-helm.elc \
emacspeak-hide.elc \
emacspeak-hideshow.elc \
emacspeak-hydra.elc \
emacspeak-ibuffer.elc \
emacspeak-ido.elc \
emacspeak-iedit.elc \
emacspeak-ivy.elc \
emacspeak-imenu.elc \
emacspeak-info.elc\
emacspeak-ispell.elc \
emacspeak-jabber.elc \
emacspeak-indium.elc \
emacspeak-jdee.elc \
emacspeak-js2.elc \
emacspeak-jss.elc \
emacspeak-kite.elc \
emacspeak-kmacro.elc  \
emacspeak-librivox.elc \
emacspeak-lispy.elc \
emacspeak-lua.elc \
emacspeak-magit.elc \
emacspeak-m-player.elc \
emacspeak-make-mode.elc \
emacspeak-markdown.elc \
emacspeak-man.elc \
emacspeak-maths.elc \
emacspeak-message.elc \
emacspeak-metapost.elc \
emacspeak-midge.elc \
emacspeak-mines.elc \
emacspeak-muse.elc \
emacspeak-mspools.elc \
emacspeak-navi-mode.elc \
emacspeak-net-utils.elc \
emacspeak-newsticker.elc \
emacspeak-ocr.elc \
emacspeak-org.elc \
emacspeak-origami.elc \
emacspeak-npr.elc \
emacspeak-nxml.elc \
emacspeak-outline.elc \
emacspeak-package.elc \
emacspeak-paradox.elc \
emacspeak-perl.elc \
emacspeak-php-mode.elc \
emacspeak-pianobar.elc \
emacspeak-proced.elc \
emacspeak-projectile.elc \
emacspeak-py.elc \
emacspeak-elpy.elc \
emacspeak-pydoc.elc \
emacspeak-python.elc \
emacspeak-racket.elc \
emacspeak-re-builder.elc \
emacspeak-reftex.elc \
emacspeak-rst.elc \
emacspeak-related.elc \
emacspeak-rpm-spec.elc \
emacspeak-remote.elc \
emacspeak-rmail.elc \
emacspeak-rpm.elc  \
emacspeak-ruby.elc \
emacspeak-sage.elc \
emacspeak-slime.elc \
emacspeak-ses.elc \
emacspeak-setup.el \
emacspeak-sgml-mode.elc \
emacspeak-shx.elc \
emacspeak-sh-script.elc \
emacspeak-sigbegone.elc \
emacspeak-smartparens.elc \
emacspeak-smart-window.elc \
emacspeak-solitaire.elc \
emacspeak-speedbar.elc \
ladspa.elc \
sox.elc \
soundscape.elc \
sox-gen.elc \
emacspeak-sql.elc \
emacspeak-supercite.elc \
emacspeak-sudoku.elc \
emacspeak-etable.elc \
emacspeak-tapestry.elc \
emacspeak-tar.elc \
emacspeak-tcl.elc \
emacspeak-tdtd.elc \
emacspeak-tempo.elc \
emacspeak-tetris.elc \
emacspeak-threes.elc \
emacspeak-tide.elc \
emacspeak-2048.elc \
emacspeak-texinfo.elc \
emacspeak-transient.elc \
emacspeak-todo-mode.elc \
emacspeak-twittering.elc \
emacspeak-typo.elc \
emacspeak-url-template.elc \
emacspeak-vdiff.elc \
emacspeak-view.elc \
emacspeak-vlc.elc \
emacspeak-vm.elc \
emacspeak-wdired.elc \
emacspeak-we.elc \
emacspeak-webspace.elc \
emacspeak-webutils.elc \
emacspeak-websearch.elc \
emacspeak-widget.elc \
emacspeak-windmove.elc \
emacspeak-winring.elc \
emacspeak-woman.elc \
emacspeak-wizards.elc  \
emacspeak-xref.elc \
emacspeak-xml-shell.elc \
emacspeak-xslt.elc \
emacspeak-yaml.elc \
emacspeak-yasnippet.elc 

ADDON_OBJECTS = \
nm.elc \
tapestry.elc   stack-f.elc  \
dom-addons.elc \
xbacklight.elc  toy-braille.elc tetris.elc cd-tool.elc 

OBJECTS = $(TTS_OBJECTS) $(SPEAK_OBJECTS) $(CORE_OBJECTS)  $(ADDON_OBJECTS)

# }}}
# {{{  User level targets all

all: $(OBJECTS)
	cd g-client; $(MAKE)

muggles: emacspeak-muggles.elc emacspeak-muggles-autoloads.el


emacspeak-muggles-autoloads.el: emacspeak-muggles.el 
	$(EMACS) $(BATCH)  $(DEPS)    -l $< -f emacspeak-muggles-generate-autoloads
maths: emacspeak-maths.el
	make emacspeak-maths.elc
force:

config: emacspeak-loaddefs.el emacspeak-cus-load.el 
lint:
	echo "." |\
emacs -batch -q \
-f package-initialize \
-l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
-l ./g-client/g-loaddefs.el \
-l ./g-client/g-load-path.el \
-l g-utils.el \
-f elint-directory 

# }}}
# {{{build time target --loaddefs

emacspeak-loaddefs.el: force
	@echo ";;;Auto generated" > emacspeak-loaddefs.el
	$(EMACS) $(BATCH)  -l ./emacspeak-load-path.el  \
	-l ./emacspeak-autoload.el  \
	-f emacspeak-auto-generate-autoloads

emacspeak-cus-load.el: force
	$(EMACS) $(BATCH) -l ./emacspeak-load-path.el  -l cus-dep -l ./emacspeak-autoload.el \
-f emacspeak-auto-custom-make-dependencies "."
	mv cus-load.el emacspeak-cus-load.el

# }}}
# {{{  Make rules for the various modules

#dtk module:
#dtk-interp contains the interface to the interpreter
#Modules using functions from the dtk module should depend on dtk-speak

dtk-interp.elc: dtk-interp.el
dtk-unicode.elc: dtk-unicode.el
dtk-speak.elc: dtk-speak.el  dtk-interp.elc dtk-unicode.elc tts.elc
acss-structure.elc: acss-structure.el tts.elc 
tts.elc: tts.el
tts-cmds.elc: tts-cmds.el tts.elc
dectalk-voices.elc: dectalk-voices.el voice-setup.elc 
outloud-voices.elc: outloud-voices.el voice-setup.elc 
plain-voices.elc: plain-voices.el voice-setup.elc 
mac-voices.elc: mac-voices.el voice-setup.elc 
espeak-voices.elc: espeak-voices.el voice-setup.elc 
voice-setup.elc: voice-setup.el acss-structure.elc 
emacspeak-amark.elc: emacspeak-amark.el
cd-tool.elc: cd-tool.el
nm.elc: nm.el
amixer.elc: amixer.el
emacspeak-actions.elc: emacspeak-actions.el
emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
emacspeak-ansi-color.elc: emacspeak-ansi-color.el dtk-speak.elc voice-setup.elc
emacspeak-apt-sources.elc: emacspeak-apt-sources.el dtk-speak.elc voice-setup.elc
emacspeak-arc.elc: emacspeak-arc.el dtk-speak.elc voice-setup.elc
emacspeak-auctex.elc: emacspeak-auctex.el dtk-speak.elc voice-setup.elc
emacspeak-autoload.elc: emacspeak-autoload.el
emacspeak-bbc.elc: emacspeak-bbc.el dtk-speak.elc voice-setup.elc
emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
emacspeak-bookshare.elc: emacspeak-bookshare.el dtk-speak.elc voice-setup.elc emacspeak-webutils.elc
emacspeak-browse-kill-ring.elc: emacspeak-browse-kill-ring.el dtk-speak.elc voice-setup.elc
emacspeak-bs.elc: emacspeak-bs.el dtk-speak.elc voice-setup.elc
emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
emacspeak-cider.elc: emacspeak-cider.el dtk-speak.elc voice-setup.elc
emacspeak-clojure.elc: emacspeak-clojure.el dtk-speak.elc voice-setup.elc
emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
emacspeak-ciel.elc: emacspeak-ciel.el dtk-speak.elc
emacspeak-calc.elc: emacspeak-calc.el
emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc 
emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
# $Id: Makefile 4373 2007-02-17 03:59:51Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for g-client -- An Emacs client for Google services
# Keywords: Emacs, G-CLIENT, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# g-client| T. V. Raman |raman@cs.cornell.edu
# An emacs  interface to Google services |
# $Date: 2007-02-16 19:59:51 -0800 (Fri, 16 Feb 2007) $ |
#  $Revision: 4373 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 2006--2007, T. V. Raman
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make definitions

# what emacs is called on your system
EMACS = emacs
# How to run in batch mode
BATCH = -batch -q -no-site-file   
DEPS= -l ./g-load-path.el -l ./g-loaddefs.el
COMPILE =  -f batch-byte-compile
OBJECTS= g-utils.elc \
g.elc \
gweb.elc \
gmaps.elc \
gm-nnir.elc \


MODULES=\
  g-utils.el g.el gweb.el gmaps.el gm-nnir.el 

# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<

# }}}
# {{{build time target: config, all

all: ${MODULES} g-loaddefs.el
	@make config 
	@make $(OBJECTS)

config: g-cus-load.el g-loaddefs.el

g-loaddefs.el:${MODULES}
	@echo ";;;Auto generated" > g-loaddefs.el
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-generate-autoloads

g-cus-load.el:${MODULES}
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-custom-make-dependencies "."

# }}}
# {{{  Make rules for the various modules

g-utils.elc: g-utils.el
g.elc: g.el  
gweb.elc: gweb.el g-utils.elc
gmaps.elc: gmaps.el g-utils.elc
gm-nnir.elc: gm-nnir.el 
# }}}
# {{{dist

dist:../g-client.tar.bz2

../g-client.tar.bz2: 
	rm -f $@
	tar  cfj $@ -X .excludes -C ..  g-client

# }}}
# {{{  user level target-- clean

clean:
	rm -f *.elc   g-cus-loads.el g-loaddefs.el

# }}}
# {{{dev targets:

indent:
	emacs -batch -q -no-site-file -l ../../utils/indent-files.el

relint:
	$(EMACS) -batch -f package-initialize -l relint.el -f relint-batch ./*.el 


# }}}
# {{{ end of file

#local variables:
#mode: makefile
#fill-column: 90
#folded-file: t
#end:

# }}}

=== servers/native-espeak/Makefile ===
#$Id: Makefile 6198 2009-08-25 15:19:03Z tv.raman.tv $

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/native-espeak

CXXFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall -Wno-long-long

ifeq ($(shell uname -s), Darwin)

	# Mac OS land.
  LIBS= -framework tcl -lespeak-ng
  TTS=tclespeak.dylib
else
  TCL_VERSION = 8.6
  TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
  LIBS= -ltcl$(TCL_VERSION) -lespeak
  TTS=tclespeak.so
  CXXFLAGS+=-I$(TCL_INCLUDE)
endif



all:   $(TTS)

$(TTS): tclespeak.o
	$(CXX) $(LDFLAGS) -shared -o $@ $< $(LIBS)

clean:
	rm -f *.so *.o

install: $(TTS)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
emacspeak (50.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:22 +0100

emacspeak (50.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #933049).

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Add myself as uploader.
  * emacspeak.lintian-overrides: Silence false positive warning.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2019 18:54:15 +0200

emacspeak (50.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop Breaks: buster has been released, so no need to carry this any
    longer
  * Refresh patches and drop
    0001-Fix-non-advised-functions-not-to-use-ems-interactive.patch

 -- Paul Gevers <elbrus@debian.org>  Tue, 23 Jul 2019 22:01:44 +0200

=== debian/control ===
Source: emacspeak
Section: editors
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 10~),
               libespeak-ng-libespeak-dev,
               po-debconf,
               tcl-dev,
Build-Depends-Indep: csound,
                     docbook-xsl,
                     emacs-nox (>= 1:26.1~),
                     xsltproc,
Standards-Version: 4.4.0
Homepage: http://emacspeak.sf.net
Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git

Package: emacspeak
Architecture: all
Depends: adduser,
         debconf,
         emacs (>= 1:26.1~),
         make,
         perl,
         tcl,
         tclx8.4,
         ${misc:Depends},
         ${perl:Depends}
Recommends: emacspeak-espeak-server, sox
Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package recommends the speech server for the espeak (software)
 speech synthesizer, so it should work straight away. However it also
 contains the source for speech servers to support the DECtalk Express
 and DECtalk MultiVoice (hardware) speech synthesizers. For other
 synthesizers, look for speech server packages such as emacspeak-ss and
 eflite.

Package: emacspeak-espeak-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: emacspeak
Description: espeak synthesis server for emacspeak
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package includes the speech server for the espeak (software)
 speech synthesizer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

package=emacspeak
debbase := $(shell pwd)/debian
pkgtmp  := $(debbase)/$(package)
eldir   := usr/share/emacs/site-lisp/$(package)
deblsp  := $(pkgtmp)/$(eldir)
tmpdir  := $(debbase)/tmp/$(eldir)

%:
	dh  $@

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=servers/native-espeak -- TCL_VERSION=""

override_dh_auto_build-indep:
	echo $(DEB_VERSION) > debian_version

# Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
# so cat that all together. Not 100% elegant, but it will do for now.
# Note: the loop is to sort 8 and 9 before the rest
	echo > changelog
	for release in 8 9 1 2 3 4 ; do \
		cat etc/NEWS-$${release}* >> changelog ; \
	done
	cat etc/NEWS >> changelog

	# The 3d auditory icon theme was generated using CSound, but it expects the
	# reference files in the same directory.
	ln -s /usr/share/csound/hrtf/*.dat sounds/3d/src/
	cd sounds/3d/src ; \
	for file in *.csd ; do \
		if [ ! "$$file" = interactive.csd ] ; then \
			csound -o ../$${file%csd}wav $$file ; \
		fi ; \
	done

	$(MAKE) --directory=etc tips.html applications.html

override_dh_auto_clean:
	debconf-updatepo

	$(MAKE) clean
	$(MAKE) --directory servers/native-espeak clean

# the following items should be done by the get-orig-source target, but
# leave them here just in case we might not need that target in the future
# the sources included some byte-compiled file by mistake
	find . -name \*.elc -delete
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
	dh_clean

override_dh_auto_install-indep:
	dh_auto_install

	# Upstream stopped providing an install target. Instead it recommends to
	# "copy the resulting emacspeak directory to the install location". So,
	# let's do that, but prevent the debian sub dir to be copied, as I fear
	# that would lead to some level of recursive copying.
	#
	# Also strip out personal tvr stuff.
	#
	# For now, also don't install the bash-utils, as it requires some thinking
	# and tweaking for Debian to function properly.
	#
	# And, to avoid clutter from etc/, lets do that via emacspeak.install
	mkdir -p $(tmpdir)
	cp -pR $$(find . -maxdepth 1 -type d ! -name .\* ! -name bash-utils ! -name debian \
		! -name etc ! -name tvr -o -type f) $(tmpdir)

	# Obviously, now we need to remove the stuff we don't want here.
	find $(tmpdir) -name \*~ -delete
	find $(tmpdir) -name \*.elc -delete
	find $(tmpdir) -depth -name .\* -exec rm -r {} \;
	# Doesn't seem to make sense in a Debian package where we use emacspeak.sh
	# instead
	rm $(tmpdir)/run
	rm $(tmpdir)/runq
	# Already compiled and shipped in emacspeak-espeak-server
	rm -r $(tmpdir)/servers/native-espeak
	# Should be made into a proper package
	rm -r $(tmpdir)/servers/linux-outloud
	# Files for Mac, not for Debian
	rm -r $(tmpdir)/servers/mac
	rm -r $(tmpdir)/servers/log-mac
	# Source files
	rm -r $(tmpdir)/sounds/3d/src
	# Original convertion script, but useless now
	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh
	# Let it generated at configuration
	rm $(tmpdir)/lisp/emacspeak-cus-load.el
	rm $(tmpdir)/lisp/emacspeak-loaddefs.el

override_dh_auto_install-arch:

override_dh_install-indep:
	# Exclude the files that go into the documentation
	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
	# We will sed it at configuration
	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in

override_dh_fixperms-indep:
# Only fix the following in the indep case
# scripts and speech servers should be executable
	if [ -d $(deblsp) ] ; then \
		chmod 644 `find $(deblsp) -type f`; \
		chmod 755 $(deblsp)/etc/*.pl				\
			$(deblsp)/etc/*2text				\
			$(deblsp)/etc/emacspeak.sh.in          \
			$(deblsp)/servers/cloud*			\
			$(deblsp)/servers/dtk-exp			\
			$(deblsp)/servers/espeak			\
			$(deblsp)/servers/log-*			\
			$(deblsp)/servers/outloud			\
			$(deblsp)/servers/speech-server			\
			$(deblsp)/servers/ssh-dtk-exp			\
			$(deblsp)/servers/ssh-espeak			\
			$(deblsp)/servers/ssh-outloud ;			\
	fi

	dh_fixperms

override_dh_compress:
# NEWS can be called from emacspeak command, don't compress
	dh_compress -XNEWS

override_dh_auto_test-indep:
	dh_auto_test
	# To see if compiling the code works and we are not missing dependencies
	$(MAKE)

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg(\d*)// \
  https://github.com/tvraman/emacspeak/releases .*/emacspeak-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## emacspeak 52.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,9 @@
 
 # }}}
 # {{{ Configuration
-
+.POSIX:
 MAKE=make
+MAKEFLAGS=--no-print-directory
 prefix = /usr
 SRC = $(shell pwd)
 README = README
@@ -46,7 +47,7 @@
 
 emacspeak:
 	@test -f  lisp/emacspeak-loaddefs.el || $(MAKE) config
-	@cd lisp && $(MAKE)
+	@cd lisp && $(MAKE)  --no-print-directory
 	@make   $(README)
 	@chmod 644 $(README)
 	@echo "See the NEWS file for a  summary of new features — Control e cap n in Emacs"
@@ -55,10 +56,10 @@
 	@make install
 
 outloud: 
-	cd servers/linux-outloud && $(MAKE) || echo "Cant build Outloud server!"
+	@cd servers/linux-outloud && $(MAKE) --no-print-directory || echo "Cant build Outloud server!"
 
 espeak: 
-	cd servers/native-espeak && $(MAKE) || echo "Cant build espeak server!"
+	@cd servers/native-espeak && $(MAKE) --no-print-directory  || echo "Cant build espeak server!"
 
 # }}}
 # {{{  Maintainance targets   dist
@@ -79,9 +80,9 @@
 # {{{ User level target--  config
 
 config:
-	@cd etc && $(MAKE) config  
-	@cd lisp && $(MAKE) config
-	@cd lisp/g-client  && $(MAKE) config
+	@cd etc && $(MAKE) config   --no-print-directory
+	@cd lisp && $(MAKE) config --no-print-directory
+	@cd lisp/g-client  && $(MAKE) config --no-print-directory
 	@echo "Configured emacspeak in directory $(SRC)."
 
 # }}}
@@ -96,17 +97,17 @@
 	make clean
 	make config 
 	make
-	cd lisp && make muggles
-	cd	 tvr && make
+	@cd lisp && make muggles --no-print-directory
+	@cd	 tvr && make  --no-print-directory
 
 qq:
-	make -s -j q 2>&1 |grep -v Loading 
+	make -s q 2>&1 |grep -v Loading 
 
 # }}}
 # {{{  user level target-- clean
 
 clean:
-	cd lisp &&  $(MAKE) clean
+	@cd lisp &&  $(MAKE) --no-print-directory clean
 
 # }}}
 # {{{ labeling releases

=== lisp/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 # }}}
 # {{{make rules
-
+.POSIX:
 # what emacs is called on your system
 EMACS = emacs
 SRC=".."
@@ -90,6 +90,7 @@
 emacspeak-table-ui.elc \
 emacspeak-tabulate.elc \
 amixer.elc \
+emacspeak-abc-mode.elc \
 emacspeak-add-log.elc \
 emacspeak-amark.elc \
 emacspeak-analog.elc \
@@ -112,6 +113,7 @@
 emacspeak-calendar.elc \
 emacspeak-cedet.elc \
 emacspeak-checkdoc.elc \
+emacspeak-chess.elc \
 emacspeak-ciel.elc \
 emacspeak-cider.elc \
 emacspeak-clojure.elc \
@@ -121,11 +123,14 @@
 emacspeak-cperl.elc \
 emacspeak-custom.elc \
 emacspeak-dbus.elc \
+emacspeak-deadgrep.elc \
+emacspeak-debugger.elc \
 emacspeak-dictionary.elc \
 emacspeak-desktop.elc \
 emacspeak-diff-mode.elc \
 emacspeak-dired.elc \
 emacspeak-dismal.elc \
+emacspeak-dumb-jump.elc \
 emacspeak-epub.elc \
 emacspeak-ecb.elc \
 emacspeak-ein.elc \
@@ -206,6 +211,7 @@
 emacspeak-navi-mode.elc \
 emacspeak-net-utils.elc \
 emacspeak-newsticker.elc \
+emacspeak-nov.elc \
 emacspeak-ocr.elc \
 emacspeak-org.elc \
 emacspeak-origami.elc \
@@ -253,6 +259,7 @@
 emacspeak-supercite.elc \
 emacspeak-sudoku.elc \
 emacspeak-etable.elc \
+emacspeak-tab-bar.elc \
 emacspeak-tapestry.elc \
 emacspeak-tar.elc \
 emacspeak-tcl.elc \
@@ -270,6 +277,7 @@
 emacspeak-url-template.elc \
 emacspeak-vdiff.elc \
 emacspeak-view.elc \
+emacspeak-vuiet.elc \
 emacspeak-vlc.elc \
 emacspeak-vm.elc \
 emacspeak-wdired.elc \
@@ -300,7 +308,7 @@
 # {{{  User level targets all
 
 all: $(OBJECTS)
-	cd g-client; $(MAKE)
+	cd g-client; $(MAKE) --no-print-directory
 
 muggles: emacspeak-muggles.elc emacspeak-muggles-autoloads.el
 
@@ -360,6 +368,7 @@
 nm.elc: nm.el
 amixer.elc: amixer.el
 emacspeak-actions.elc: emacspeak-actions.el
+emacspeak-abc-mode.elc: emacspeak-abc-mode.el dtk-speak.elc 
 emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
 emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
 emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
@@ -386,16 +395,12 @@
 emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
 emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
 emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
+emacspeak-chess.elc: emacspeak-chess.el dtk-speak.elc voice-setup.elc
 emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
 emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
 emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
 emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
 emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
 emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
-emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc 
-emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
-emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
-emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
-emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
-emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
-emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
+emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc
+emacspeak-deadgrep.elc: emacspeak-deadgrep.el dtk-speak.elc

=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 # }}}
 # {{{make definitions
+.POSIX:
 
 # what emacs is called on your system
 EMACS = emacs

=== servers/native-espeak/Makefile ===
--- 
+++ 
@@ -15,12 +15,10 @@
 else
   TCL_VERSION = 8.6
   TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
-  LIBS= -ltcl$(TCL_VERSION) -lespeak
+  LIBS= -ltcl$(TCL_VERSION) -lespeak-ng
   TTS=tclespeak.so
   CXXFLAGS+=-I$(TCL_INCLUDE)
 endif
-
-
 
 all:   $(TTS)

=== debian/changelog ===
emacspeak (52.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * NEWS.Debian: Rename to NEWS for debhelper to find it.
  * control: Update alioth list domain.

  [ Paul Gevers ]
  * New upstream version 52.0

 -- Paul Gevers <elbrus@debian.org>  Sat, 16 May 2020 20:40:19 +0200

emacspeak (51.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Generalize pattern.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Paul Gevers ]
  * New upstream release
  * drop dont_use_-q_in_emacspeak.sh.patch; applied upstream

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Mar 2020 15:57:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: emacspeak
 Section: editors
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                libespeak-ng-libespeak-dev,
                po-debconf,
                tcl-dev,
@@ -11,7 +11,7 @@
                      docbook-xsl,
                      emacs-nox (>= 1:26.1~),
                      xsltproc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://emacspeak.sf.net
 Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
 Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 tmpdir  := $(debbase)/tmp/$(eldir)
 
 %:
-	dh  $@
+	dh $@
 
 override_dh_auto_build-arch:
 	dh_auto_build --sourcedirectory=servers/native-espeak -- TCL_VERSION=""
@@ -27,11 +27,9 @@
 
 # Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
 # so cat that all together. Not 100% elegant, but it will do for now.
-# Note: the loop is to sort 8 and 9 before the rest
-	echo > changelog
-	for release in 8 9 1 2 3 4 ; do \
-		cat etc/NEWS-$${release}* >> changelog ; \
-	done
+	cat etc/NEWS-8.0 > changelog
+	cat etc/NEWS-9.0 >> changelog
+	cat etc/NEWS-[0-9][0-9]* >> changelog
 	cat etc/NEWS >> changelog
 
 	# The 3d auditory icon theme was generated using CSound, but it expects the
@@ -105,7 +103,7 @@
 
 override_dh_install-indep:
 	# Exclude the files that go into the documentation
-	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
+	dh_install -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
 	# We will sed it at configuration
 	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in
